.sr-only {
  position: absolute !important;
  width: 1px;
  height: 1px;
  overflow: hidden;
  clip: rect(1px, 1px, 1px, 1px);
}

:root {
  --white: #fff;
  --white-opaque: rgba(255, 255, 255, 0.4);
  --green: #0b872f;
  --blue: #003a5d;
  --grey: #f2f5f8;
  --grey-medium: #e1e7eb;
  --grey-mediumdark: #c8d3da;
  --grey-dark: #769bb2;
  --text: #393939;
  --text-inverted: var(--white);
  --code: var(--text);
  --fontfamily-body: -apple-system, BlinkMacSystemFont, Segoe UI, Helvetica,
    Arial, sans-serif;
  --fontfamily-heading: var(--fontfamily-body);
  --fontfamily-code: SFMono-Regular, Consolas, Liberation Mono, Menlo, Courier,
    monospace;
  --maxwidth: 70rem;
  --maxwidth-medium: 20rem;
  --maxwidth-narrow: 15rem;
  --borderradius-large: 2rem;
}

html {
  scroll-behavior: smooth;
  height: 100%;
}

body,
.page {
  position: relative;
  min-height: 100%;
  margin: 0;
  scrollbar-color: var(--grey-mediumdark) var(--white);

  &::-webkit-scrollbar {
    width: 1rem;
    height: 1rem;
    background-color: var(--white);
  }

  &::-webkit-scrollbar-thumb {
    width: 1rem;
    height: 1rem;
    border: 0.3rem solid var(--white);
    background-clip: padding-box;
    border-radius: var(--borderradius-large);
    background-color: var(--grey-mediumdark);
  }

  &::-webkit-scrollbar-button {
    display: none;
    width: 0;
    height: 0;
  }
}

.page {
  display: flex;
  position: relative;
  flex-wrap: wrap;
  width: 100%;
  height: 100vh;
  min-height: 100%;
  margin: 0;
  color: var(--text);

  @media all and (min-width: 1200px) {
    flex-wrap: nowrap;
  }
}

.page *,
.page *::before,
.page *::after {
  box-sizing: border-box;
  font-family: var(--fontfamily-body);
  line-height: 1.5;
  word-wrap: break-word;
}

.page-header {
  flex: 1 1 100%;
  order: 2;
  width: 100%;
  background-color: var(--blue);

  @media all and (min-width: 1200px) {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    order: 1;
    width: var(--maxwidth-narrow);
    max-width: var(--maxwidth-narrow);
    min-height: 100%;
  }
}

.page-header--mobile {
  display: flex;
  align-items: center;
  width: 100%;
  padding: 1rem;
  background-color: var(--blue);

  @media all and (min-width: 1200px) {
    display: none;
  }
}

.page-logo {
  display: none;
  margin-bottom: 1rem;

  @media all and (min-width: 1200px) {
    display: block;
    padding: 4rem 2rem 0;
  }
}

.page-header--mobile .page-logo {
  display: block;
  margin: 0 1rem 0 0;
}

.page-logo img {
  height: 3.5rem;
  margin-top: -1.25rem;
}

.page-header--mobile .page-logo img {
  height: 2.5rem;
  margin-top: -0.5rem;
}

.page-client {
  position: relative;
  width: 100%;
  margin: 0 0 1rem;
  padding: 0.5rem 2rem;
  border-top: 1px solid var(--green);

  @media all and (min-width: 800px) and (max-width: 1200px) {
    margin: 0 0 1rem;
    padding: 0.5rem 4rem;
  }

  @media all and (min-width: 1200px) {
    margin: 0;
  }
}

.page-client::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0.15;
  background-color: var(--white);
}

.client__name {
  display: block;
  margin: 0;
  color: var(--text-inverted);
  font-size: 1.25rem;
  font-weight: 700;
}

.client__version {
  display: block;
  color: var(--text-inverted);
  font-size: 0.75rem;
  font-weight: 400;
}

.page-nav {
  display: flex;
  flex-direction: column;
  background-color: var(--blue);

  @media all and (min-width: 1200px) {
    max-height: 100vh;
    overflow-y: auto; // FOR IE11
  }
}

.page-nav--mobile {
  display: flex;
  justify-content: flex-end;
  width: 100%;
}

.page-nav--mobile a {
  display: block;
  margin: 0.25rem;
  color: var(--white);
  font-size: 0.875rem;
  line-height: 1;
  text-align: right;

  &:last-child {
    margin-bottom: 0;
  }
}

.page-nav .nav {
  margin: 0;
  padding: 0 2rem 2rem;
  list-style: none;
  background-color: var(--blue);
  scrollbar-color: var(--white-opaque) var(--blue);

  > li > a,
  > li > span {
    margin-bottom: 0.25rem;
    color: var(--text-inverted);
    font-size: 1rem;
    font-weight: 700;
  }

  &::-webkit-scrollbar {
    width: 1rem;
    height: 1rem;
    background-color: var(--blue);
  }

  &::-webkit-scrollbar-thumb {
    width: 1rem;
    height: 1rem;
    border: 0.3rem solid var(--blue);
    background-clip: padding-box;
    border-radius: var(--borderradius-large);
    background-color: var(--white-opaque);
  }

  &::-webkit-scrollbar-button {
    display: none;
    width: 0;
    height: 0;
  }

  &::-webkit-scrollbar-corner {
    background-color: transparent;
  }

  @media all and (min-width: 800px) {
    padding: 0 4rem 4rem;
  }

  @media all and (min-width: 1200px) {
    padding: 2rem;
    overflow-y: auto;
  }
}

.page-nav .nav__list {
  margin: 0 0 2rem;
  padding: 0;
  list-style-type: none;

  .nav__list {
    margin-top: 0.5rem;
    padding-left: 1rem;
    border-left: 1px solid var(--white);
  }

  .nav_list .nav__list {
    border-left: 0 none;
  }
}

.page-nav li:last-child .nav__list:last-child {
  margin-bottom: 0;
}

.page-nav .nav__list li {
  margin-bottom: 0.5rem;
  padding: 0;
  color: var(--text-inverted);
  font-size: 0.875rem;
  font-weight: 400;
  line-height: 1.5;
}

.page-nav .nav__list li:last-child {
  margin-bottom: 0;
}

.page-nav .nav__list li a {
  transition: opacity 0.3s ease;
  color: inherit;
  font-size: inherit;
  font-weight: 400;
  line-height: inherit;

  &:hover {
    opacity: 0.8;
    text-decoration: none;
  }
}

.page-aside {
  width: 100%;
  padding: 0;

  @media all and (min-width: 800px) {
    width: var(--maxwidth-medium);
    min-height: 100%;
  }

  @media all and (min-width: 1200px) {
    padding: 6rem 0 4rem 0;
  }
}

.page--demo .page-aside {
  flex: 1 0 100%;
  width: 100%;
  min-height: auto;
  padding: 0;
}

.page-toc {
  margin: 0;
  padding: 2rem;
  background-color: var(--grey);

  @media all and (min-width: 800px) {
    background-color: initial;
  }
}

.page-toc .toc__title {
  display: block;
  margin-bottom: 1rem;
  color: var(--text);
  font-family: var(--fontfamily-heading);
  font-size: 0.875rem;
  font-weight: 700;
  text-transform: uppercase;
}

.page-toc .toc__list,
.page-toc .toc__list ul {
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.page-toc .toc__list li {
  margin-bottom: 0.5em;
  padding: 0;
  font-size: 1rem;
  font-weight: 700;
  line-height: 1.25;
}

.page-toc .toc__list > li {
  margin-bottom: 1em;
}

.page-toc .toc__list li::before {
  display: none;
}

.page-toc .toc__list li:last-child {
  margin-bottom: 0;
}

.page-toc .toc__list li a {
  transition: color 0.3s ease;
  color: var(--blue);
  font-family: var(--fontfamily-heading);
  font-size: inherit;
  font-weight: inherit;
  line-height: inherit;
  text-decoration: none;

  &:hover {
    color: var(--green);
    text-decoration: underline;
  }
}

.page-toc .toc__list ul {
  padding-left: 1rem;
}

.page-toc .toc__list > li > ul {
  border-left: 1px solid var(--green);
}

.page-toc .toc__list ul li {
  font-size: 0.875em;
  font-weight: 400;
}

.page-toc .toc__list li > ul {
  margin-top: 0.5em;
}

.page--demo .page-controls {
  display: flex;
  flex: 1 0 100%;
  flex-wrap: wrap;
  width: 100%;

  @media all and (min-width: 800px) {
    padding: 0 2rem 2rem;
  }
}

.page-controls .control {
  flex: 1 1 25%; // SO IE DONT MESS IT UP
  width: 25%; // SO IE DONT MESS IT UP
  min-width: var(--maxwidth-narrow);
  padding: 2rem;
  border-top: 1px solid var(--grey-dark);
}

.page-controls.page-controls h2 {
  margin-top: 0;
  font-size: 1.5rem;

  &::before {
    display: none;
  }
}

.page-controls ul {
  list-style-type: none;
}

.page-controls ul li {
  padding-left: 0;
  background-image: none;
}

.page-controls.page-controls ul > li::before {
  display: none;
}

.page-controls.page-controls button {
  width: 100%;
}

.page-main__wrapper {
  order: 1;
  width: 100%;

  @media all and (min-width: 1200px) {
    flex: initial;
    width: calc(100% - var(--maxwidth-narrow));
    order: 2;
    margin-left: var(--maxwidth-narrow);
  }
}

.page--docs .page-main__wrapper {
  padding: 0;

  @media all and (min-width: 800px) {
    display: flex;
    flex-wrap: nowrap;
    padding: 2rem;
  }
}

.page-main {
  display: block;
  flex: 1 1 100%;
  width: 100%;
  max-width: var(--maxwidth);
  margin: 0;
}

.page--docs .page-main {
  width: 100%;
  padding: 2rem;
  min-width: 0;

  @media all and (min-width: 800px) {
    flex: 1 1 auto;
    width: auto;
  }

  @media all and (min-width: 1200px) {
    max-width: 50rem;
  }
}

.page--demo .page-main {
  max-width: 100%;
  padding: 2rem;
  background-color: var(--grey);

  @media all and (min-width: 800px) {
    padding: 4rem;
  }
}

.chat-inline {
  width: calc(100% + 2rem);
  margin: 0 -1rem;

  @media all and (min-width: 800px) {
    width: 100%;
    margin: 0;
  }
}

.chat-inline > div {
  width: 100%;
  max-width: var(--maxwidth);
  margin: 0;
}

.chat-inline:empty {
  display: none;
}

// MARKDOWN

.markdown .box--important {
  padding: 1rem 1.5rem;
  border: 1px solid var(--green);
}

.markdown .box--important strong {
  display: block;
  width: 100%;
  color: var(--green);
  font-size: 0.875em;
  text-transform: uppercase;
}

.markdown .box--important p {
  margin: 0;

  &:last-child {
    margin-bottom: 0;
  }
}

/* ---- END CUSTOM ---- */

.markdown > *:first-child {
  margin-top: 0;
}

.markdown > *:last-child {
  margin-bottom: 0;
}

.markdown h1,
.markdown h2,
.markdown h3,
.markdown h4 {
  display: block;
  margin: 0 0 0.5rem;
  color: var(--text);
  font-family: var(--fontfamily-heading);
  font-weight: normal;
  line-height: 1.1;
}

.page-main__wrapper h1,
.markdown h1 {
  flex: 0 0 100%;
  width: 100%;
  margin: 0 0 2rem;
  color: var(--blue);
  font-size: 2rem;
  font-weight: bold;

  @media all and (min-width: 800px) {
    font-size: 3rem;
  }
}

.page-main__wrapper h1::after,
.markdown h1::after {
  content: '';
  display: block;
  width: 3rem;
  height: 1px;
  margin-top: 0.5rem;
  border-bottom: 0.35rem solid var(--green);
}

.markdown h2 {
  margin-top: 4rem;
  font-size: 1.3rem;
  font-weight: bold;

  @media all and (min-width: 800px) {
    font-size: 2rem;
  }
}

.markdown h2::before {
  content: '';
  display: block;
  width: 100%;
  height: 1px;
  padding-bottom: 2rem;
  border-top: 1px solid var(--grey-dark);
}

.markdown h3 {
  margin-top: 3rem;
  font-size: 1.125rem;

  @media all and (min-width: 800px) {
    font-size: 1.5rem;
  }
}

.markdown h4 {
  margin-top: 3rem;
  font-size: 1.25rem;
  font-weight: bold;
}

.markdown h5 {
  font-size: 1rem;

  @media all and (min-width: 800px) {
    font-size: 1.25rem;
  }
}

.markdown h6 {
  font-size: 1rem;
}

.markdown h1 code,
.markdown h2 code,
.markdown h3 code,
.markdown h4 code,
.markdown h5 code,
.markdown h6 code {
  background-color: var(--blue);
  color: var(--text-inverted);
}

.markdown blockquote,
.markdown dl,
.markdown ul,
.markdown ol,
.markdown p,
.markdown pre,
.markdown table {
  margin: 1rem 0;
}

.markdown p {
  color: var(--text);
  font-size: 1rem;
}

.markdown h1 + p {
  font-size: 1.25rem;
}

.markdown a {
  transition: color 0.3s ease;
  background-color: transparent;
  color: var(--blue);
  font-size: inherit;
  text-decoration: underline;

  &:hover {
    color: var(--green);
    text-decoration: none;
  }
}

.markdown strong {
  font-weight: 700;
}

.markdown kbd,
.markdown code,
.markdown pre {
  border-radius: 0;
  font-family: var(--fontfamily-code);
}

.markdown code {
  padding: 0.25rem 0.5rem;
  background-color: var(--grey);
  color: var(--code);
  font-size: 0.875em;
}

.markdown pre {
  display: block;
  padding: 1rem 2rem;
  overflow-x: auto;
  border-left: 1px solid var(--green);
  background-color: var(--grey);
  word-wrap: normal;
  scrollbar-color: var(--grey-mediumdark) var(--grey);

  &::-webkit-scrollbar {
    width: 1rem;
    height: 1rem;
    background-color: var(--grey);
  }

  &::-webkit-scrollbar-thumb {
    width: 1rem;
    height: 1rem;
    border: 0.3rem solid var(--grey);
    background-clip: padding-box;
    border-radius: var(--borderradius-large);
    background-color: var(--grey-mediumdark);
  }

  &::-webkit-scrollbar-button {
    display: none;
    width: 0;
    height: 0;
  }
}

.markdown pre code {
  display: inline;
  margin: 0;
  padding: 0;
  overflow: visible;
  background-color: initial;
  line-height: inherit;
  word-wrap: normal;
  word-break: normal;
  white-space: pre;
}

.markdown blockquote {
  width: 100%;
  max-width: 32rem;
  margin: 2rem 0;
  padding: 0 0 0 2rem;
  border-left: 1px solid var(--green);
  color: var(--blue);
  font-family: var(--fontfamily-heading);
  font-size: 1.5rem;
}

.markdown blockquote code {
  color: inherit;
}

.markdown blockquote > * {
  color: inherit;
  font-size: inherit;

  &:first-child {
    margin-top: 0;
  }

  &:last-child {
    margin-bottom: 0;
  }
}

.markdown ol,
.markdown ul,
.markdown ol ol,
.markdown ol ul,
.markdown ul ol,
.markdown ul ul {
  margin: 0 0 1rem;
  padding: 0;
}

.markdown ol:last-child,
.markdown ul:last-child,
.markdown ol ol:last-child,
.markdown ol ul:last-child,
.markdown ul ol:last-child,
.markdown ul ul:last-child {
  margin: 0;
}

.markdown ol,
.markdown ul {
  list-style-type: none;
  counter-reset: list;
}

.markdown ol ol,
.markdown ul ol {
  list-style-type: upper-roman;
}

.markdown li {
  position: relative;
  margin-top: 0.25rem;
  padding-left: 1.25rem;
}

.markdown li + li {
  margin-top: 0.5rem;
}

.markdown ul li {
  margin-top: 0.25rem;
}

.markdown ul > li::before {
  content: '';
  display: block;
  position: absolute;
  top: 0.5em;
  left: 0;
  width: 0.4rem;
  height: 0.4rem;
  border-radius: 0.5rem;
  background-color: var(--blue);
}

.markdown ol > li::before {
  content: counter(list);
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  color: var(--blue);
  font-weight: bold;
  counter-increment: list;
}

.markdown ol ol > li {
  margin-left: 1.25rem;
  padding: 0;
}

.markdown ol ol > li::before {
  display: none;
}

.markdown hr {
  display: block;
  width: 100%;
  height: 1px;
  margin: 1rem 0;
  padding: 0;
  border-bottom: 1px solid var(--green);
}

.markdown img {
  max-width: 100%;
}

.markdown img[align='right'] {
  padding-left: 1rem;
}

.markdown img[align='left'] {
  padding-right: 1rem;
}

.markdown table {
  display: block;
  width: 100%;
  margin: 2rem 0;
  overflow: auto;
  border-spacing: 0;
  border-collapse: collapse;
}

.markdown table td,
.markdown table th {
  padding: 0.5rem 1rem;
  border-left: 1px solid var(--grey-medium);
}

.markdown table th {
  border: 0 none;
  border-bottom: 2px solid var(--grey-dark);
  color: var(--blue);
  font-family: var(--fontfamily-heading);
  font-weight: 700;
  text-align: left;
}

.markdown table td:first-child,
.markdown table th:first-child {
  border-left: 1px solid var(--grey-medium);
}

.markdown table td:last-child,
.markdown table th:last-child {
  border-right: 1px solid var(--grey-medium);
}

.markdown table tr {
  background-color: var(--white);
}

.markdown table tr:nth-child(2n) {
  background-color: var(--grey);
}

.markdown table tr:first-child {
  border-top: 1px solid var(--grey-medium);
}

.markdown table tr:last-child {
  border-bottom: 1px solid var(--grey-medium);
}

.markdown dl {
  margin: 2rem 0;
  padding: 0 0 0 2rem;
  border-left: 1px solid var(--green);
}

.markdown dt {
  font-family: var(--fontfamily-heading);
  font-size: 1.15rem;
  font-weight: 700;
}

.markdown dd {
  margin: 0 0 1rem 1rem;
}

.markdown dd:last-child {
  margin-bottom: 0;
}

.markdown details {
  display: block;
  transition:
    padding 0.3s ease,
    background-color 0.3s ease;
}

.markdown details[open] {
  padding: 1rem;
  background-color: var(--grey);
}

.markdown summary {
  display: list-item;
  color: var(--blue);
  font-family: var(--fontfamily-heading);
  font-weight: 700;
  cursor: pointer;

  &:hover {
    color: var(--green);
  }
}

.markdown details summary + * {
  margin-top: 0.25rem;
}

.markdown details p {
  margin: 0.5rem 0;
}

.markdown details *:last-child {
  margin-bottom: 0;
}

.markdown input {
  margin: 0;
  overflow: visible;
  font: inherit;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}

.markdown input::-webkit-inner-spin-button,
.markdown input::-webkit-outer-spin-button {
  appearance: none;
  margin: 0;
}

.markdown input[type='checkbox'] {
  padding: 0;
}

.markdown button {
  appearance: none;
  margin: 0 0.25rem 0.25rem 0;
  padding: 0.25rem 0.75rem 0.35rem;
  transition:
    border-color 0.3s ease,
    background-color 0.3s ease,
    color 0.3s ease;
  border: 1px solid var(--green);
  border-radius: var(--borderradius-large);
  background-color: var(--white);
  font-size: 1rem;
  line-height: 1.25;
  text-align: left;
}

.markdown button.button--primary {
  background-color: var(--green);
  color: var(--text-inverted);

  &:hover {
    background-color: var(--white);
    color: var(--green);
  }
}

.markdown button.button--secondary {
  color: var(--green);

  &:hover {
    border-color: var(--white);
    background-color: var(--green);
    color: var(--text-inverted);
  }
}
